package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsPurchaseOrder;
import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;

/**
 * AmsPurchaseOrder服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-19 09:22
 * 类描述
 * 修订历史：
 * 日期：2021-08-19
 * 作者：generator
 * 参考：
 * 描述：AmsPurchaseOrder服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsPurchaseOrderService{
    //添加采购订单
    int insertAmsPurchaseOrder(AmsPurchaseOrder amsPurchaseOrder);
    //通过主键删除采购订单
    int deleteAmsPurchaseOrderByPurchaseOrderId(BigDecimal purchaseOrderId);
    //通过主键修改采购订单
    int updateAmsPurchaseOrderByPurchaseOrderId(AmsPurchaseOrder amsPurchaseOrder);
    //通过主键查询采购订单
    AmsPurchaseOrder getAmsPurchaseOrderByPurchaseOrderId(BigDecimal purchaseOrderId);
}